package com.bocloud.cmp.model.hmc.sdk.common;

import com.bocloud.cmp.model.hmc.sdk.module.Author;
import com.bocloud.cmp.model.hmc.sdk.module.Link;
import com.bocloud.cmp.model.hmc.sdk.module.MCEntryContent;

/**
 * 指定唯一标识的控制台信息
 *
 * @author sxp
 * @since May 4, 2018
 */
public class ManagementConsoleEntry {
    private String id;
    private String title;
    private String published;
    private Link link;
    private Author author;
    private MCEntryContent content;

    public ManagementConsoleEntry() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPublished() {
        return published;
    }

    public void setPublished(String published) {
        this.published = published;
    }

    public Link getLink() {
        return link;
    }

    public void setLink(Link link) {
        this.link = link;
    }

    public Author getAuthor() {
        return author;
    }

    public void setAuthor(Author author) {
        this.author = author;
    }

    public MCEntryContent getContent() {
        return content;
    }

    public void setContent(MCEntryContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "ManagementConsoleEntry [id=" + id + ", title=" + title + ", published=" + published + ", link=" + link
            + ", author=" + author + ", content=" + content + "]";
    }
}
